commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jochen Wiedmann" <jochen.wiedm...@gmail.com>
Subject Re: commons-parent-7 discussion
Date Sat, 12 Jan 2008 04:52:26 GMT
On Jan 12, 2008 12:29 AM, Dennis Lundberg <dennisl@apache.org> wrote:

> The reason is to have reproducible builds. It makes sure that, no matter
> who is building component A, the end result will always be the same.
>
> Specifying versions for all plugins is considered a best practice. This
> has been discussed a lot on the Maven mailing-lists. I can give you some
>   pointers if you like.

Dennis, you don't understand my point. I do not oppose version numbers
in general. I am simply asking to restrict version numbers to those
plugins, which are actually used in a pom file. As soon as the
commons-parent pom *is* using the mrr plugin, then I'm all in favour
for adding a version number.

You don't ask to add a version number for the war plugin, just because
projects *could* use the war plugin, do you?


Jochen

-- 
Look, that's why there's rules, understand? So that you think before
you break 'em.

    -- (Terry Pratchett, Thief of Time)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message